Can't build anymore after updating from 0.10.4 to 0.11.6

I just updated from 0.10.4 to 0.11.6

$  npm update bitcore
bitcore@0.11.6 node_modules/bitcore
├── inherits@2.0.1
├── bs58@2.0.0
├── bn.js@0.16.1
├── sha512@0.0.1
├── lodash@2.4.1
├── hash.js@0.3.2
└── elliptic@0.16.0 (brorand@1.0.1)`

and now I can’t build anymore:

$ gulp browser

module.js:340
    throw err;
          ^
Error: Cannot find module 'bitcore-build'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/home/dskloet/node_modules/bitcore/gulpfile.js:3:20)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)

Am I missing something or did something break?

did you run npm install? are you using any old version of a submodule? (if so, try updating to the latest version of all submodules too)

That worked, thanks.
Sorry, I know nothing about npm. Why do I need to install bitcore again after updating?